%define		pkgname	X11
Summary:	A Haskell binding to the X11 graphics library
Name:		ghc-%{pkgname}
Version:	1.9.1
Release:	2
License:	BSD
Group:		Development/Languages
Source0:	http://hackage.haskell.org/packages/archive/%{pkgname}/%{version}/%{pkgname}-%{version}.tar.gz
# Source0-md5:	71af9399de42c9e41b52020499947833
URL:		http://hackage.haskell.org/package/X11/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	ghc >= 6.12.3
BuildRequires:	ghc-data-default
BuildRequires:	rpmbuild(macros) >= 1.608
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXinerama-devel
BuildRequires:	xorg-lib-libXrandr-devel
BuildRequires:	xorg-lib-libXScrnSaver-devel
BuildRequires:	xorg-proto-xproto-devel
%requires_eq	ghc
Requires:	ghc-data-default
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# debuginfo is not useful for ghc
%define		_enable_debug_packages	0

%description
A Haskell binding to the X11 graphics library.

%package doc
Summary:	HTML documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{pkgname}
Group:		Documentation

%description doc
HTML documentation for %{pkgname}.

%description doc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{pkgname}.

%prep
%setup -q -n %{pkgname}-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
runhaskell Setup.hs configure -v2 \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--libexecdir=%{_libexecdir} \
	--docdir=%{_docdir}/%{name}-%{version}

runhaskell Setup.hs build
runhaskell Setup.hs haddock --executables

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/%{ghcdir}/package.conf.d

runhaskell Setup.hs copy --destdir=$RPM_BUILD_ROOT

# work around automatic haddock docs installation
rm -rf %{name}-%{version}-doc
cp -a $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/html %{name}-%{version}-doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

runhaskell Setup.hs register \
	--gen-pkg-config=$RPM_BUILD_ROOT/%{_libdir}/%{ghcdir}/package.conf.d/%{pkgname}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%ghc_pkg_recache

%postun
%ghc_pkg_recache

%files
%defattr(644,root,root,755)
%{_libdir}/%{ghcdir}/package.conf.d/%{pkgname}.conf
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}

%files doc
%defattr(644,root,root,755)
%doc %{name}-%{version}-doc/*
%changelog
* Sat Mar 19 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ghc-X11.git;a=log;h=master

* Sat Mar 19 2022 Jan Palus <atler@pld-linux.org> 466f797
- rebuild with ghc 8.10.7

* Sat May 23 2020 Jan Rękorajski <baggins@pld-linux.org> 0ac0e52
- up to 1.9.1

* Thu Aug 06 2015 Jan Rękorajski <baggins@pld-linux.org> eb65653
- release 2 (by relup.sh)

* Sat Apr 12 2014 Jan Palus <atler@pld-linux.org> d2b99d6
- add xorg BRs
- run autotools

* Fri Jul 26 2013 Jan Palus <jan.palus@gmail.com> 4d5567f
- rel 1

* Thu Mar 14 2013 Jan Palus <jan.palus@gmail.com> ed1824f
- new

